
<?php
//include_once("functions.php");
require 'vendor/autoload.php';
require 'vendor/autoload.php';

define(DOCPATH,"solapur_docs/");
$DOCPATH	=	DOCPATH;
//phpinfo();
$hostname	=	'localhost';
$username	=	'solapurmis';
$password	=	'SoLaPurER%$#$';
$dbname		=	'solapurmis_db';
$mysqli = new mysqli("localhost","solapurmis","SoLaPurER%$#$","solapurmis_db");
if ($mysqli -> connect_errno)
{
    echo "Failed to connect to MySQL: " . $mysqli -> connect_error;
    exit();
}

$mysqli2 = new mysqli("localhost","solapurmis","SoLaPurER%$#$","solapurmis_sudata");
if ($mysqli2 -> connect_errno)
{
    echo "Failed to connect to MySQL: " . $mysqli2 -> connect_error;
    exit();
}

//ini_set('memory_limit', '-1');
function loadtd($arr, $subheading = false, $prn)
{
    $b = ($subheading) ? 'class="dashedBottomborder"' : '';
    $a = ($subheading) ? "font-weight:bold;" : "";
    $row = "<tr style='" . $a . "' " . $b . ">";
    for ($i = 0; $i < count($arr); $i ++) {
        $row .= "<td id='" . $prn . "_" . $arr[0] . "_" . $i . "'>" . $arr[$i] . "</td>";
    }
    
    $row .= "</tr>";
    
    return $row;
}
function get_roman_year($sem) {
    if ($sem==1 || $sem==2) {
        $year=1;
    }elseif ($sem==3 || $sem==4) {
        $year=2;
    }elseif ($sem==5 || $sem==6) {
        $year=3;
    }elseif ($sem==7 || $sem==8) {
        $year=4;
    }elseif ($sem==9 || $sem==10) {
        $year=5;
    }
    
    if ($year==1) {
        return "I";
    }elseif ($year==2) {
        return "II";
    }elseif ($year==3) {
        return "III";
    }elseif ($year==4) {
        return "IV";
    }elseif ($year==5) {
        return "V";
    }else {
        return "";
    }
}
function get_roman_sem($sem) {
    if ($sem==1) {
        return "Sem-I";
    }elseif ($sem==2) {
        return "Sem-II";
    }elseif ($sem==3) {
        return "Sem-III";
    }elseif ($sem==4) {
        return "Sem-IV";
    }elseif ($sem==5) {
        return "Sem-V";
    }elseif ($sem==6) {
        return "Sem-VI";
    }elseif ($sem==7) {
        return "Sem-VII";
    }elseif ($sem==8) {
        return "Sem-VIII";
    }elseif ($sem==9) {
        return "Sem-IX";
    }elseif ($sem==10) {
        return "Sem-X";
    }else {
        return "";
    }
}

function amounttowords($num)
{
    $number = $num;
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array('0' => '', '1' => 'one', '2' => 'two',
        '3' => 'three', '4' => 'four', '5' => 'five', '6' => 'six',
        '7' => 'seven', '8' => 'eight', '9' => 'nine',
        '10' => 'ten', '11' => 'eleven', '12' => 'twelve',
        '13' => 'thirteen', '14' => 'fourteen',
        '15' => 'fifteen', '16' => 'sixteen', '17' => 'seventeen',
        '18' => 'eighteen', '19' =>'nineteen', '20' => 'twenty',
        '30' => 'thirty', '40' => 'forty', '50' => 'fifty',
        '60' => 'sixty', '70' => 'seventy',
        '80' => 'eighty', '90' => 'ninety');
    $digits = array('', 'hundred', 'thousand', 'lakh', 'crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? '' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
            " " . $digits[$counter] . $plural . " " . $hundred
            :
            $words[floor($number / 10) * 10]
            . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
    "." . $words[$point / 10] . " " .
    $words[$point = $point % 10] : '';
    return ucwords($result);
    
}
?>
<style>
        .heading {
        	font-size: 20px;
        	font-weight: bold;
        	text-align: center;
        }
         .heightTable{
              min-height:560px;
       
 
         }
        .exam_form td {
            padding: 2px;
        }
        .table-border {
        	width: 100%;
        	border: 1px solid black;
        	border-collapse: collapse;
        	text-align: center;
        }
/*         .exam_form tr:first-child { */
/*             text-align: center !important; */
/*         } */
          .exam_form th:first-child {
            text-align: center!important;
        }
        .exam_form  td:nth-child(2){
        text-align:left !important;
        }
        
        
        .exam_form  td{
        text-align:center;
        }

        .txt-cnt {
        	text-align: center;
        }
        
        .page-break {
        	page-break-after: always;
        }
        
/*         .dashedTopborder { */
/*         	border-top: dashed 1px #000 !important; */
/*         } */

        .dashedBottomborder {
        	border-bottom: dashed 1px #000 !important;
        }

        .studTable td {
        	border-left: 1px dashed #000;
        	border-right: 1px dashed #000;
        }

        .datepage {
        	/*position: fixed; */
        /*     margin-top: 300px;  */
        	bottom: 0;
        	width: 94%;
        	background-color: white;
        	color: black;
            border: none;
            padding: 0;
            margin-left: 45px;
        }
         span.firstTags{
              font-size: 16px !important;
               font-weight:600;
               margin-left: -20px
            
        } 


        .table121 {
        	border-collapse: collapse;
        	width: 100%;
        }

        .exam_form td {
        	padding: 2px;
        	border-collapse: collapse;
        	border: 1px solid black;
        	text-align: center;
        	font-size: 14px;
        	border-top: 0;
        }
        .exam_form th {
        	text-align: center;
        	border: 1px solid black;
        	font-size: 14px;
        	
        }

        .exam_form {
        	width: 94%;
        	margin:auto;
        	border-collapse: collapse;
        }
        .imgPadding{
             margin-left: -65px;
            margin-top: -100px;
            height:94px;
            width:auto;
        }
        .SignMargin{ 
        
            margin-bottom:-20px; 
             width:110px;
             height:85px;
        }
        .fTags{
        font-size:14px;
        }
        
        .exam_form  td:nth-child(1){
          width:10% !important;
          text-align:left !important;
        }

        
        .exam_form  td:nth-child(3){
          width:9% !important;
        }
        .exam_form  td:nth-child(4){
               width:8% !important;
        }
        .exam_form  td:nth-child(5){
        width: 8% !important;
        }
         .exam_form  td:nth-child(6){
        width: 8% !important; 
        }
          .exam_form  td:nth-child(7){
        width: 8% !important;
        }
        
        .exam_form.exam_r_form  td:nth-child(1){
          width:10% !important;
        }
        .exam_form.exam_r_form  td:nth-child(2){
          width:17% !important;
        }
        .exam_form.exam_r_form  td:nth-child(3){
          width:16% !important;
     text-align:left !important;
        }
        .exam_form.exam_r_form  td:nth-child(4){
          width:16% !important;
          text-align:left !important;
        }
        .exam_form.exam_r_form  td:nth-child(5){
          width:41% !important;
          text-align:left !important;
        }
        
        
   @media print{
   
   
        .heightTable{
             min-height:560px; 
                  
       
 
         }
              .exam_form{
              width:90% !important;
              }
              .exam_r_form{
               width:90% !important;
              }
        .exam_form th {
        	text-align: center;
        	border: 1px solid black;
        	font-size: 10px;
        	
        }
        
        .exam_form  td:nth-child(1){
          width:10% !important;
          text-align:left;
        }
        .exam_form  td:nth-child(2){
         text-align:left;
          
        }
        
        .exam_form  td:nth-child(3){
          width:9% !important;
          
        }
        .exam_form  td:nth-child(4){
               width:8% !important;
        }
        .exam_form  td:nth-child(5){
        width: 8% !important;
        }
         .exam_form  td:nth-child(6){
        width: 8% !important; 
        }
          .exam_form  td:nth-child(7){
        width: 8% !important;
        }
        
         .exam_form.exam_r_form  td:nth-child(1){
          width:10% !important;
        }
        .exam_form.exam_r_form  td:nth-child(2){
          width:17% !important;
        }
        .exam_form.exam_r_form  td:nth-child(3){
          width:16% !important;
     text-align:left !important;
        }
        .exam_form.exam_r_form  td:nth-child(4){
          width:16% !important;
          text-align:left !important;
        }
        .exam_form.exam_r_form  td:nth-child(5){
          width:41% !important;
          text-align:left !important;
        }

        .exam_form  td{
            text-align: center !important;
        }

        .exam_form td {
           padding: 1px 2px;
           border-collapse: collapse;
            border: 1px solid black;
          	text-align: center !important;
            font-size: 10px;
            border-top: 0 !important;
        
         }
         .exam_r_form td{
          border-top: 0 !important;
         }
        .exam_form ,.eaxm_form.exam_r_form {
        	width: 94%;
/*             height:330px;  */
            margin:auto;
        
        }
        span.firstTags{
          font-size: 16px !important;
          font-weight:600;
        
        } 
            .secondTags{
             font-size: 12px;
            }
        .imgPadding{
             margin-left: -60px;
            margin-top: -80px;
            height:94px;
            width:auto;
        }
         .SignMargin{ 
        
            margin-bottom:-20px; 
             width:110px;
             height:85px;
        }
        .signdateFont{
        font-size:14px;
     
        }
        .staementFont{
        font-size:14px;
           padding-top: 70px;
      
        }
        .signBox{
          padding-top: 45px;
        
        }
       .print-btn{
       display: none;
       }
}

</style>
<center>
    <table class="table table-striped table-invers table-responsive table-bordered print-btn ">
        <tr>
            <td align="center"><input type="button" name="print" value="Print" onClick="window.print();" class="btn-blue1"></td>
        </tr>
    </table>
</center>
<?php
$page = 1;
$data_final_result = "data_final_result";

$event = $_REQUEST['event'];

$sem_const_arr = [
    'Sem-I',
    'Sem-II',
    'Sem-III',
    'Sem-IV',
    'Sem-V',
    'Sem-VI',
    'Sem-VII',
    'Sem-VIII',
    'Sem-IX',
    'Sem-X'
];

if (isset($_REQUEST['course_id']) && $_REQUEST['course_id'] != "") {
    $course_id = $_REQUEST['course_id'];
}

if (isset($_REQUEST['sem']) && $_REQUEST['sem'] != "") {
    $sem = $_REQUEST['sem'];
}

if (isset($_REQUEST['course_abbr']) && $_REQUEST['course_abbr'] != "") {
    $coursepart_abbrevation = $_REQUEST['course_abbr'];
}

if (isset($_REQUEST['rhr']) && $_REQUEST['rhr'] != "") {
    $rhr = $_REQUEST['rhr'];
}
if (isset($_REQUEST['prn_no']) && $_REQUEST['prn_no'] != "") {
    $prn_no = $_REQUEST['prn_no'];
}
// if (isset($_REQUEST['exam_date']) && $_REQUEST['exam_date'] != "") {
//     $result_date = $_REQUEST['exam_date'];
// }
$limit = "";
if (isset($_GET['limit_from']) && $_GET['limit_from'] != "") {
    $limit = " LIMIT " . $_GET['limit_from'] . ",500";
}
if (isset($_REQUEST['course_abbr']) && $_REQUEST['course_abbr'] != "") {
    $course_abbreviation = $_REQUEST['course_abbr'];
}

$course_id='10005';
$sem=6;
$coursepart_abbrevation='B.A';
$event='Oct 2022';
$sem_old=$sem;

$get_course_det1   =   "SELECT course_abbr FROM `course_master` WHERE course_id='$course_id'";
$get_course_det11 = $mysqli -> query($get_course_det1);
$get_course_det1111 = $get_course_det11 -> fetch_assoc();

if($course_abbreviation=='' || $coursepart_abbrevation=''){
    $course_abbreviation    =   $get_course_det1111['course_abbr'];
    $coursepart_abbrevation = $get_course_det1111['course_abbr'];
}


$get_process_date111   =   "SELECT result_proc_date FROM `som_dates` WHERE event='$event' AND course_id='$course_id' AND sem='$sem'";
$get_final_sem_run = $mysqli -> query($get_process_date111);
$get_final_sem_row = $get_final_sem_run -> fetch_assoc();
$result_date    =   $get_final_sem_row['result_proc_date'];

$get_final_sem_query = "SELECT MAX(semester) as last_sem FROM `data_crsall_final` WHERE course_id='" . $course_id . "'";
$get_final_sem_run = $mysqli -> query($get_final_sem_query);
$get_final_sem_row = $get_final_sem_run -> fetch_assoc();
$get_final_sem = $get_final_sem_row['last_sem'];

$prn_search = "";
if ($prn_no != "") {
    $prn_search = "AND prn_no IN($prn_no)";
}

$sem_arr = [];
if ($sem % 2 == 0) {
    $sem_arr = [$sem - 1,$sem];
} else {
    $sem_arr = [$sem];
}

$get_data111="SELECT * FROM `course_master` WHERE course_id='$course_id'";
$get_data11=$mysqli -> query($get_data111);
$course_details= $get_data11 -> fetch_assoc();

$full_form = $course_details['full_form'];
$course_code11 = $course_details['course_code'];

if (strtolower($course_abbreviation) == "b.tech") {
    // GET BRANCH NAME ACCORDING TO COURSE ID
    $branch_query = "SELECT * FROM `course_master` WHERE course_id='" . $course_id . "'";
    $branch_run = $mysqli -> query($branch_query);
    $branch_row = $branch_run -> fetch_assoc();

    if ($branch_row['specialization'] != "") {
        $branch = "AND branch='" . $branch_row['specialization'] . "'";
    }
}

$a = "SELECT * FROM `data_crsall_final` where course_id='$course_id' and semester='$sem'";
$a_run = $mysqli -> query($a);
$a_row = $a_run -> fetch_assoc();

$exam_event = $event;

$type = [];
$method = [];
$tw_temp = 0;
$if_ua_ca = 0;
$if_ise_ica = 0;

$get_sub11123 = "SELECT * FROM data_crsall_final WHERE course_id ='" . $course_id . "' and semester IN (" . implode(',', $sem_arr) . ") GROUP BY ass_type";
$get_sub1123 = $mysqli -> query($get_sub11123);
while ($get_sub123 = $get_sub1123 -> fetch_assoc()) {
    $ass_type = $get_sub123['ass_type'];

    $type[count($type)] = $ass_type;
    if ($ass_type == 'UA' || $ass_type == 'CA') {
        $if_ua_ca = 1;
    } else if ($ass_type == 'ICA' || $ass_type == 'ISE') {
        $if_ise_ica ++;
    }
}
if ($if_ua_ca == 1) {
    rsort($type);
} else if ($if_ise_ica == 2) {
    if ($course_id == 10058 || $course_id == 10020) {
        $cntt = count($type);
        $index = [
            0,
            2,
            1
        ];
        $temp12 = [];

        for ($i = 0; $i < $cntt; $i ++) {
            $temp12[$index[$i]] = $type[$i];
        }
        for ($i = 0; $i < $cntt; $i ++) {
            $type[$i] = $temp12[$i];
            $index[$i] = $i;
        }
    }
}

$get_sub11123 = "SELECT * FROM data_crsall_final WHERE course_id ='" . $course_id . "' and semester IN (" . implode(',', $sem_arr) . ") GROUP BY ass_method ORDER BY ass_method DESC";
$get_sub1123 = $mysqli -> query($get_sub11123);
while ($get_sub123 = $get_sub1123 -> fetch_assoc()) {
    $ass_method = $get_sub123['ass_method'];
    if ($ass_method == 'Term Work') {
        $tw_temp = 1;
    } else {
        $method[count($method)] = $ass_method;
    }
}
if ($tw_temp == 1) {
    $method[count($method)] = 'Term Work';
}

$type[count($type)] = "TOT";

$subject = [];
$subject_name = [];

$heads = [];
$subheads = [];
$credits = [];
$marks = [];

$result_consider_credits = 0;

$courses = "SELECT * FROM data_crsall_final WHERE course_id='" . $course_id . "' and semester IN (" . implode(',', $sem_arr) . ") ORDER BY subject_code ASC";
$courses_run = $mysqli -> query($courses);
while ($course_row = $courses_run -> fetch_assoc()) {
    if (in_array($course_row['subject_code'], $subject)) {
        $posi = array_search($course_row['subject_code'], $subject);
        $heads[$posi][count($heads[$posi])] = $course_row['ass_method'];
        $subheads[$posi][count($subheads[$posi])] = $course_row['ass_type'];
        $marks[$posi][count($marks[$posi])] = [
            $course_row['ass_type_min_marks'],
            $course_row['ass_type_max_marks']
        ];
    } else {
        $subject[count($subject)] = $course_row['subject_code'];
        $subject_name[count($subject_name)] = $course_row['subject_name'];
        $subheads[count($subheads)][0] = $course_row['ass_type'];
        $heads[count($heads)][0] = $course_row['ass_method'];
        $credits[count($credits)] = $course_row['credits'];
        $marks[count($marks)][0] = [
            $course_row['ass_type_min_marks'],
            $course_row['ass_type_max_marks']
        ];

        if ($course_row['result_consider'] == 1) {
            $result_consider_credits += $course_row['credits'];
        }
    }
}

if ($rhr == 2) {
    $cond_rhr = "AND prn_no IN (SELECT prn_no FROM rhr_cases_oct2022 WHERE sem IN (" . implode(',', $sem_arr) . ") AND course_id='" . $course_id . "')";
} elseif ($rhr == 1) {
    $cond_rhr = "AND prn_no NOT IN (SELECT prn_no FROM rhr_cases_oct2022 WHERE sem IN (" . implode(',', $sem_arr) . ") AND course_id='" . $course_id . "')";
} else {
    $cond_rhr = "";
}

if (count($sem_arr) > 1) {
    $limit_student_for_sem = "sem < " . $sem_arr[0];
    if ($get_final_sem != $sem) {
        $limit_student_for_sem .= "AND sem>0";
        $limit_student_for_sem = "(" . $limit_student_for_sem . ")";
    }

    $student_in_past_prns = [];
    $student_in_past_query = "SELECT * FROM exam_reg_all WHERE  " . $limit_student_for_sem . " AND course_id='" . $course_id . "' $prn_search AND event='$event' GROUP BY prn_no";
    $student_in_past_run = $mysqli -> query($student_in_past_query);
    while ($student_in_past_row = $student_in_past_run -> fetch_assoc()) {
        $prn_no=$student_in_past_row['prn_no'];
        $old_termwise_data_query ="SELECT `EVENT`,`Term Name`,`Class/Grade`,`Total Credits`,`EGP`,`SGPA`,`RESULT STATUS`,`Term Percentage`,`Grand Total`,`Total Marks Obtained`,`Term Max Marks`,`Examination Seat Number`,`Ordinance`,`Ord_Total` FROM `SU_CousrePartTermWise_ResultData` WHERE prn_no='".$prn_no."' AND `Term Name`='".$sem_const_arr[$sem_arr[0] - 1]."' AND  `course_abbr_new`='".$coursepart_abbrevation."' AND course_id IN($course_id,0) ORDER BY `SU_CousrePartTermWise_ResultData`.`Statment Number`  DESC, event_id DESC";
        $old_termwise_data_run = $mysqli2 -> query($old_termwise_data_query);
        $getOldTermWiseData =$old_termwise_data_run -> fetch_assoc();
        
        if (count($getOldTermWiseData) > 0 && $getOldTermWiseData != "") {
            $student_in_past_prns[count($student_in_past_prns)] = "'" . $student_in_past_row['prn_no'] . "'";
        }
    }
}

$student_in_past_cond = "";
if (count($student_in_past_prns) > 0) {
    $student_in_past_cond = "OR prn_no IN (" . implode(',', $student_in_past_prns) . ")";
}

$q = "";
if (count($sem_arr) > 1) {
    $q = "AND prn_no NOT IN (SELECT prn_no FROM exam_reg_all WHERE event='$event' AND sem IN ('" . $sem_arr[0] . "') AND r_x=0)";
}


?>

 <?php
$students_query = "SELECT * FROM $data_final_result WHERE event='$event' AND sem IN (" . implode(',', $sem_arr) . ") " . $prn_search . $q . " AND course_id='" . $course_id . "' " . $cond_rhr . " AND prn_no NOT IN(SELECT prn_no FROM `not_eligible_student` WHERE remark='Not Eligible')  " . $student_in_past_cond . " GROUP BY prn_no ORDER BY inst1,prn_no" . $limit;
$students_run = $mysqli -> query($students_query);
while ($students_row = $students_run -> fetch_assoc()) {

    $get_appeared_sem = [];
    $condonation_remark_for_old = "";

    // GET ALL APPEARED SEM
    $get_appeared_se_query = "SELECT * FROM exam_reg_all WHERE  course_id='" . $course_id . "' AND prn_no='" . $students_row['prn_no'] . "' AND form_conf='1' AND invoice_conf='1' AND event='" . $event . "'";
    $get_appeared_se_run = $mysqli -> query($get_appeared_se_query);
    while ($get_appeared_se_row = $get_appeared_se_run -> fetch_assoc()) {
        $get_appeared_sem[count($get_appeared_sem)] = $get_appeared_se_row['sem'];
    }

    $get_appeared_sem = array_unique($get_appeared_sem);
    asort($get_appeared_sem);
    $get_appeared_sem = array_values($get_appeared_sem);

    $prn = $students_row['prn_no'];
    $seat_no = $students_row['seat_no'];

    $rom_yr = get_roman_year($sem);
    $rom_sem = get_roman_sem($sem);

    $get_appeared_se_query12 = "SELECT * FROM exam_reg_all WHERE  course_id='" . $course_id . "' AND prn_no='" . $students_row['prn_no'] . "' AND form_conf='1' AND invoice_conf='1' AND event='" . $event . "'";
    $get_appeared_se_run12 = $mysqli -> query($get_appeared_se_query12);
    $get_appeared_se_row12 = $get_appeared_se_run12 -> fetch_assoc();

    $exam_center = $get_appeared_se_row12['center_code'];
    $a	= "SELECT * FROM  `candidate_details_tb` where prn_no='$prn'";
    $b	= $mysqli -> query($a);
    $stud_details =  $b -> fetch_assoc();
    $inst = $stud_details['inst'];
    
    $get_data111="SELECT * FROM `inst_master` WHERE inst='$inst'";
    $get_data11=$mysqli -> query($get_data111);
    $inst_details= $get_data11 -> fetch_assoc();

    $course_abbr2 = $course_details['course_abbr'];

    if ($course_abbr2 == 'B.VocJMC') {

        if ($sem == 1 || $sem == 2) {
            $rom_yr = '(Diploma)';
        } elseif ($sem == 3 || $sem == 4) {
            $rom_yr = '(Advance Diploma)';
        } else {
            $rom_yr = '(Degree)';
        }
    } else {
        $rom_yr = get_roman_year($sem);
    }
    ?>
<div style="margin-top: 0px;">
    	<?php
    if ($course_details['specialization'] != '') {
        $spe111 = $course_details['specialization'];
    } else {
        $spe111 = "No Branch";
    }

    $a1 = "SELECT * FROM candidate_documents where checklist_no ='1' and prn_no = '$prn'";
    $b1 = $mysqli -> query($a1);
    $photo_cnt = $b1->num_rows;
    $c1 = $b1 -> fetch_assoc();
    $ext = $c1['upload'];
    $filenamedis = "D" . $prn . "_1" . "." . $ext;
    
    $pic111="SELECT username FROM `candidate_details_tb` WHERE prn_no='$prn'";
    $pic11 = $mysqli -> query($pic111);
    $pic1 = $pic11 -> fetch_assoc();
    $UserName=$pic1['username'];
    
    $pic222="SELECT * FROM `photo_sign_data` WHERE file_name LIKE '%$UserName%_P.JPG'";
    $pic22 = $mysqli -> query($pic222);
    $photo_cnt3 = $pic22->num_rows;
    $pic2 = $pic22 -> fetch_assoc();
    $url=$pic2['url'];

    ?>
    	
    	<table width="93%;" style="text-align:center;padding-top:150px; margin:auto;">

		<tr>
			<td colspan="2"><span style="font-size:15px !important;margin-left: -41px;" class="firstTags">Statement of Grade for <?php echo $course_details['faculty_name']." ".$course_details['full_form'];?></span></td>
			<td colspan="2"></td>
		</tr>
		<tr>
			<td colspan="2"><span style="font-size:15px !important;margin-left: -41px;" class="firstTags"><?php echo $course_details['course_type'].' - '.$course_details['pattern'].' - ('.$spe111.') - '.$course_details['course_abbr'].' - '.$rom_yr.' - '.$sem_const_arr[$sem_arr[count($sem_arr)-1]-1];?></span></td>
			<td colspan="2"></td>
		</tr>
		<tr>
			<td colspan="2"><span style="font-size:15px !important;margin-left: -41px;" class="firstTags"><?php echo 'Examination : '.$exam_event.'<br>'?></span></td>
			<td colspan="2"></td>
		</tr>
		<tr>
			<td colspan=2 style="text-align: left;padding-left: 5px" class="fTags">Name: <b  class="secondTags"><?php echo $stud_details['full_name']." (".$stud_details['mother_name'].")";?></b></td>
			<td width="10%" rowspan="4"
				style="padding: 0px 20px;
    border-collapse: collapse;
    
    margin: auto;">
    			<?php if($photo_cnt>0){?>
				<img src="https://pahsuerp.epravesh.com/solapur_docs/stud_photo/<?php echo $filenamedis;?>"   class="imgPadding">
    			<?php }elseif($photo_cnt3>0){?>
    			<img src="<?php echo $url;?>"  class="imgPadding">
    			<?php }?>
			</td>
		</tr>
		<tr>
			<td style="text-align: left ;padding-left: 5px;" class="fTags">PRN: <b  class="secondTags"><?php echo $prn;?></b>
			</td>
			<td style="text-align: left; padding-left: 5px;font-size: 15px;" class="fTags">Seat Number: <b  class="secondTags"><?php echo $stud_details['exam_seat_no'];?></b></td>
		</tr>
		<tr>
			<td colspan=2 style="text-align: left; padding-left: 5px;" class="fTags">College: <b  class="secondTags"><?php echo $inst_details['institute_name'] .' ('.$inst_details['inst1'].')';?></b></td>
		
		
		<tr>
			<td colspan=2 style="text-align: left;padding-left: 5px;" class="fTags">Exam Center: <b  class="secondTags"><?php echo $exam_center;?></b></td>
		</tr>

	</table>
</div>
<div style="" class="heightTable">
<table class="exam_form" width ="94%" style="margin:5px auto 0;border-collapse: collapse;" cellspacing="0" cellpadding="0"> 

	<?php
	
    $sub_heading = [];
    $sub_heading[0] = "Paper Code";
    $sub_heading[1] = "Paper Name";
    $sub_heading[2] = "Credits";

    $sub_heading[count($sub_heading)] = "Grade<br> Obtained";
    $sub_heading[count($sub_heading)] = "Grade<br> Points";
    $sub_heading[count($sub_heading)] = "Earned Gr <br>Points";
    $sub_heading[count($sub_heading)] = "Remark";
    $b = ($subheading) ? 'class="dashedBottomborder"' : '';
    $a = ($subheading) ? "font-weight:bold;" : "";
    $row = "<tr style='" . $a . "' " . $b . ">";
    for ($i = 0; $i < count($sub_heading); $i ++) {
        $row .= "<th id='" . $prn . "_" . $sub_heading[0] . "_" . $i . "'><b>" . $sub_heading[$i] . "</b></th>";
    }
    $row .= "</tr>";
    
    echo $row;
    //echo loadtd($sub_heading, true);

    $total_sem_wise_egp = 0;
    $total_sem_wise_credit = 0;
    $total_sem_wise_status = 'PASS';
    $total_sem_wise_grand_total = 0;
    $total_sem_wise_obt_total = 0;
    $total_sem_wise_obt_total_with_other_marks = 0;
    $total_sem_wise_grace = 0;
    $total_sem_wise_sports = 0;
    $total_sem_wise_pencc = 0;
    $total_sem_wise_condonation = 0;
    $total_sem_ordinance = "";
    $total_sem_wise_course_credit = 0;

    $check_for_NF_in_sem = [];
    $check_for_UM = 0;

    $final_status = "PASS";

    $fails_in_subject_count = [];
    $total_consider_subjects = [];

    if ($sem) {
        $fails_in_subject_count[0] = [];
        $fails_in_subject_count[1] = [];
    }
    
    for ($w = 0; $w < count($sem_arr); $w ++) {

        $sgpa_numerator = 0;
        $sgpa_total_credit = 0;

        $sem_egp = 0;
        $sem_credit = 0;
        ?>
 
 	<tr class="dashedTopborder">
 	
 		<?php
        for ($i = 0; $i < count($method); $i ++) {
            for ($j = 0; $j < count($type); $j ++) {
                $colspan = ($type[$j] == "TOT" ? 3 : 2);
            }
            ?>
 		<?php  } ?>
 	</tr>
 		
 	
 	<?php

        $ledger_newdata_subjects_temp = [];

        $assoc_ledger_newdata = [];
        $ledger_newdata_subjects = [];
        $ledger_newdata_subjectname = [];
        $ledger_newdata_credits = [];
        $ledger_newdata_heads = [];
        // GET CURRENT DATA ACCORDING TO SEM
        $ledger_newdata = "SELECT * FROM $data_final_result WHERE sem='" . $sem_arr[$w] . "' AND prn_no='" . $prn . "' ";
        $ledger_newdata_run = $mysqli -> query($ledger_newdata);
        while ($ledger_newdata = $ledger_newdata_run -> fetch_assoc()) {

            if (in_array($ledger_newdata['paper_code'], $ledger_newdata_subjects) && trim($ledger_newdata['paper_code']) != '') {
                $course_posi = array_search($ledger_newdata['paper_code'], $ledger_newdata_subjects);
                if (in_array($ledger_newdata['ass_method'], $ledger_newdata_heads[$course_posi])) {
                    $ass_method_posi = array_search($ledger_newdata['ass_method'], $ledger_newdata_heads[$course_posi]);
                    $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]][$ledger_newdata_heads[$course_posi][$ass_method_posi]][$ledger_newdata['ass_type']] = $ledger_newdata;
                    $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]]['which'] = "new";
                } else {
                    $ledger_newdata_heads[$course_posi][count($ledger_newdata_heads[$course_posi])] = $ledger_newdata['ass_method'];

                    $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]][$ledger_newdata['ass_method']][$ledger_newdata['ass_type']] = $ledger_newdata;
                    $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]]['which'] = "new";
                }
            } else {
                $ledger_newdata_subjects[count($ledger_newdata_subjects)] = $ledger_newdata['paper_code'];
                $ledger_newdata_heads[count($ledger_newdata_heads)][0] = $ledger_newdata['ass_method'];

                $assoc_ledger_newdata[$ledger_newdata['paper_code']][$ledger_newdata['ass_method']][$ledger_newdata['ass_type']] = $ledger_newdata;
                $assoc_ledger_newdata[$ledger_newdata['paper_code']]['which'] = "new";

                $ledger_newdata_subjects_temp[count($ledger_newdata_subjects_temp)] = $ledger_newdata['paper_code'];
            }
        }

        // GET OLD DATA ACCORDING TO SEM
        $result_query = "SELECT * FROM SU_PaperWise_ResultData_oct2022_current_use WHERE term_name='" . $sem_const_arr[$sem_arr[$w] - 1] . "' AND  prn_no='" . $prn . "' " . $branch . " AND coursepart_abbrevation_new LIKE '%" . $course_abbreviation . "%'";
        $result_run = $mysqli2 -> query($result_query);
        while ($result_row = $result_run -> fetch_assoc()) {
            if (! in_array($result_row['paper_code'], $ledger_newdata_subjects_temp) && trim($result_row['paper_code']) != '') {
                if (! in_array($result_row['paper_code'], $ledger_newdata_subjects)) {
                    $ledger_newdata_subjects[count($ledger_newdata_subjects)] = $result_row['paper_code'];

                    $ledger_newdata_heads[count($ledger_newdata_heads)][0] = $result_row['ass_method'];

                    $assoc_ledger_newdata[$result_row['paper_code']][$result_row['ass_method']][$result_row['ass_type']] = $result_row;
                    $assoc_ledger_newdata[$result_row['paper_code']]['which'] = "old";
                } else {
                    $course_posi = array_search($result_row['paper_code'], $ledger_newdata_subjects);

                    if (in_array($result_row['ass_method'], $ledger_newdata_heads[$course_posi])) { // $assoc_ledger_newdata[$ledger_newdata['paper_code']])){
                        $ass_method_posi = array_search($result_row['ass_method'], $ledger_newdata_heads[$course_posi]); // $assoc_ledger_newdata[$ledger_newdata['paper_code']]);

                        $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]][$ledger_newdata_heads[$course_posi][$ass_method_posi]][$result_row['ass_type']] = $result_row;
                        $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]]['which'] = "old";
                    } else {
                        $ledger_newdata_heads[$course_posi][count($ledger_newdata_heads[$course_posi])] = $result_row['ass_method'];

                        $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]][$result_row['ass_method']][$result_row['ass_type']] = $result_row;
                        $assoc_ledger_newdata[$ledger_newdata_subjects[$course_posi]]['which'] = "old";
                    }
                }
            }
        }
        //echo $sem;
        if ($course_abbreviation == 'B.A.LL.B' || $course_abbreviation == 'LL.B') {
            $change_remark = [];
        }

        asort($ledger_newdata_subjects);
        $ledger_newdata_subjects = array_values($ledger_newdata_subjects);

        $obtained_total_per_sem = 0;
        $max_total_per_sem = 0;
        
        for ($e = 0; $e < count($ledger_newdata_subjects); $e ++) {
            $check_for_NF = 0;
            for ($i = 0; $i < count($method); $i ++) {
                for ($j = 0; $j < count($type); $j ++) {
                    if ($check_for_NF == 0 && $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['head_grade'] == 'NF') {
                        $check_for_NF = 1;

                        $check_for_NF_in_sem[$w] = 1;
                    } else {
                        if ($check_for_NF_in_sem[$w] == "undefined") {
                            $check_for_NF_in_sem[$w] = 0;
                        }
                    }
                }
            }

            $row = [];
            for ($i = 0; $i < count($ledger_newdata_subjects); $i ++) {
                $get_data111="SELECT * FROM `data_crsall_final` WHERE subject_code='$ledger_newdata_subjects[$i]'";

                $get_data11=$mysqli -> query($get_data111);
                $subject_details= $get_data11 -> fetch_assoc();
                
                $ledger_newdata_subjectname[$i] = $subject_details['subject_name'];
                $ledger_newdata_credits[$i] = $subject_details['credits'];
            }
            $row[0] = $ledger_newdata_subjects[$e];
            $row[1] = $ledger_newdata_subjectname[$e];
           
            $row[2] = number_format($ledger_newdata_credits[$e],2);
            $final_total_max = 0;
            $final_total_min = 0;
            $final_total_obt = 0;
            $final_total_obt2 = 0;
            $credit = 0;
            $egp = 0;
            $status = 'PASS';
            $remark = '';
            $gp = 0;
            $grade_letter_from_db = '';
            if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]]['which'] == "new") {
                $grace = "";
                $grace_sign = "";
                $condonation = "";
                $condonation_sign = "";

                for ($i = 0; $i < count($method); $i ++) {
                    $tot_min = 0;
                    $tot_max = 0;
                    $tot_obt = 0;
                    $tot_obt2 = 0;
                    for ($j = 0; $j < count($type); $j ++) {
                        if ($type[$j] == "TOT") {} else {

                            if ($grace == "" && $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grace_status'] != '') {
                                $grace = "+" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grace_marks'];
                                $grace_sign = "$";
                                $grace_marks = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grace_marks'];
                            }

                            if ($condonation == "" && $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['condonation_status'] != '') {
                                $condonation_sign = "*";
                                $condonation_marks = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['condonation_marks'];
                            }

                            if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['attendance'] == "P") {
                                $copy_case_query = "SELECT * FROM `copy_case_stud_list` WHERE prn_no='" . $prn . "' AND exam_seat_no='" . $seat_no . "' AND paper_code='" . $ledger_newdata_subjects[$e] . "'";
                                $copy_case_run = $mysqli -> query($copy_case_query);
                                //echo $copy_case_row = mysql_num_rows($copy_case_run);
                                
                                $copy_case_row = $copy_case_run->num_rows;
                                
                                
                                if ($copy_case_row > 0 && $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['obtained_marks'] == 0) {
                                    $check_for_UM = 1;
                                }
                            } else if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['max_marks'] > 0) {

                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['attendance'] != "A") {
                                    // CHECK IF COPY CASE
                                    $copy_case_query = "SELECT * FROM `copy_case_stud_list` WHERE prn_no='" . $prn . "' AND exam_seat_no='" . $seat_no . "' AND paper_code='" . $ledger_newdata_subjects[$e] . "'";
                                    $copy_case_run = $mysqli -> query($copy_case_query);
                                    $copy_case_row = $copy_case_run->num_rows;
                                    //echo $copy_case_row = mysql_num_rows($copy_case_run);
                                    if ($copy_case_row > 0) {
                                        $check_for_UM = 1;
                                    }
                                }
                            }
                            
                            if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['min_marks'] != "") {
                                $tot_min = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_min_marks'];
                                $tot_max = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_max_marks'];
                                $tot_obt = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_obt_marks'];
                                $tot_obt2 = $tot_obt + $grace_marks + $condonation_marks;
                                $gp = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['GP'];
                                $credit = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['credits'];
                                $egp = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['EGP'];
                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'] != "PASS") {
                                    if ($status != 'F') {
                                        $status = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'];
                                    }
                                }
                                $remark = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['remark'];
                                $grade_letter_from_db = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grade_letter'];
                            }
                        }
                    }
                    $final_total_max += $tot_max;
                    $final_total_min += $tot_min;
                    $final_total_obt += $tot_obt;
                    $final_total_obt2 += $tot_obt2;
                }

                $percent = round(($final_total_obt / $final_total_max) * 100, 2);
                $percent2 = round(($final_total_obt2 / $final_total_max) * 100, 2);

                $obtained_total_per_sem += $final_total_obt;
                $max_total_per_sem += $final_total_max;
                $get_data111="SELECT * FROM `gpa_point_table_pharm` WHERE from_num<='$marks' AND to_num>='$marks'";
                $get_data11=$mysqli -> query($get_data111);
                $get_data1= $get_data11 -> fetch_assoc();
                $row[count($row)] = ($status == 'F') ? ($course_abbreviation == 'B.Tech' ? '-' : 'F') : ($course_abbreviation == 'B.Pharm' ? $get_data1['grade_abbr'] : $grade_letter_from_db);

                $row[count($row)] = number_format($gp, 2);
                $row[count($row)] = number_format($egp, 2);

                $row[count($row)] = $remark;
                
                $get_data111="SELECT * FROM `data_crsall_final` WHERE subject_code='$ledger_newdata_subjects[$e]'";
                $get_data11=$mysqli -> query($get_data111);
                $get_data1= $get_data11 -> fetch_assoc();
                if ($get_data1['exclude_res'] != 1) {

                    $total_consider_subjects[$w][count($total_consider_subjects[$w])] = $ledger_newdata_subjects[$e];

                    if ($status == 'F' && $ledger_newdata_subjects[$e] != 'ENS') {

                        $fails_in_subject_count[$w][count($fails_in_subject_count[$w])] = $ledger_newdata_subjects[$e];
                    }
                }
            } else if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]]['which'] == "old") {
                $grade = 0;
                $grace = "";
                $grace_sign = "";
                $grace_which = "";
                $condonation = "";
                $condonation_sign = "";
                $sports = "";
                $sports_sign = "";
                $sports_which = "";
                $pencc = "";
                $pencc_sign = "";

                $fails_in = [];
                $absent_in = [];
                $fails_absent_in_ua = [];
                for ($i = 0; $i < count($method); $i ++) {
                    $tot_min = 0;
                    $tot_max = 0;
                    $tot_obt = 0;

                    for ($j = 0; $j < count($type); $j ++) {
                        if ($type[$j] == "TOT") {} else {
                            if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_status'] == "ABSENT") {} else {
                                if ($sem == 1 || $sem == 2) {
                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_applied_to_paper'] == "Ordinance_PENCC") {
                                        if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_min_marks'] > $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_total']) {
                                            $pencc = "+" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_marks_to_paper'];
                                            $pencc_sign = "^";
                                            $pencc_which = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];
                                            $condonation_remark_for_old = "PE";
                                        }
                                    }
                                }
                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_applied_to_paper'] == "O.40") {
                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_min_marks'] > $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_total']) {
                                        $sports = "+" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_marks_to_paper'];
                                        $sports_sign = "#";
                                        $sports_which = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];
                                        $condonation_remark_for_old = "O.40";
                                    }
                                }

                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_applied_to_paper'] == "Ordinance Grace Marks") {
                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_min_marks'] > $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_total']) {
                                        $grace = "+" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_marks_to_paper'];
                                        $grace_sign = "$";
                                        $grace_which = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];
                                        $condonation_remark_for_old = "0.94";
                                    }
                                }

                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_applied_to_paper'] == "Ordinance Condonation") {
                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_min_marks'] > $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_total']) {
                                        $condonation = "+" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ordinance_marks_to_paper'];
                                        $condonation_sign = "*";
                                        $grace_which = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];
                                        $condonation_remark_for_old = "0.96";
                                    }
                                }
                            }
                            if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type_min_marks'] != "") {
                                $tot_min = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_min_marks'];
                                $tot_max = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_max_marks'];
                                $tot_obt = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_total'];

                                $gp = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grade_points'];
                                $credit = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['paper_credits'];
                                $egp = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['total_grade_points'];
                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'] != "PASS") {
                                    $status = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'];
                                }

                                if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'] == 'FAIL') {
                                    $temp = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method'] . "_" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];
                                    $fails_in[count($fails_in)] = $temp;

                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'] == "UA" || $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'] == "ESE") {
                                        $fails_absent_in_ua[count($fails_absent_in_ua)] = $temp;
                                    }
                                } else if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method_status'] == 'ABSENT') {
                                    $absent_in[count($absent_in)] = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_method'] . "_" . $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'];

                                    if ($assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'] == "UA" || $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['ass_type'] == "ESE") {
                                        $fails_absent_in_ua[count($fails_absent_in_ua)] = $temp;
                                    }
                                }
                                $grade = $assoc_ledger_newdata[$ledger_newdata_subjects[$e]][$method[$i]][$type[$j]]['grade'];
                            }
                        }
                    }
                    $final_total_max += $tot_max;
                    $final_total_min += $tot_min;
                    $final_total_obt += $tot_obt;
                }
                $obtained_total_per_sem += $final_total_obt;
                $max_total_per_sem += $final_total_max;

                $row[count($row)] = ($grade == 'F' ? ($course_abbreviation == 'B.Tech' ? '-' : 'F') : $grade);
                $row[count($row)] = number_format($gp, 2);
                $row[count($row)] = number_format($egp, 2);
                
                $get_data111="SELECT * FROM `data_crsall_final` WHERE subject_code='$ledger_newdata_subjects[$e]'";
                $get_data11=$mysqli -> query($get_data111);
                $get_data1= $get_data11 -> fetch_assoc();
                if ($get_data1['exclude_res'] != 1) {
                    $total_consider_subjects[$w][count($total_consider_subjects[$w])] = $ledger_newdata_subjects[$e];
                    if ($status != 'PASS' && $ledger_newdata_subjects[$e] != 'ENS') {
                        $fails_in_subject_count[$w][count($fails_in_subject_count[$w])] = $ledger_newdata_subjects[$e];
                    }
                }

                if (count($fails_absent_in_ua) > 0) {
                    $row[count($row)] = 'FC,C';
                } else if (count($fails_in) == 0 && count($absent_in) == 0) {
                    $remark_temp = 'E,X';
                    if ($course_abbreviation == 'B.A.LL.B') {
                        if ($sem >= 1 && $sem <= 4) {
                            if ($percent < 40) {
                                $remark_temp = "FC,C";
                                $change_remark[count($change_remark)] = $prn . "_" . $row[0] . "_" . count($row);
                            }
                        } else {
                            if ($percent < 50) {
                                $remark_temp = "FC,C";
                                $change_remark[count($change_remark)] = $prn . "_" . $row[0] . "_" . count($row);
                            }
                        }
                    }

                    if ($course_abbreviation == 'LL.B') {
                        if ($percent < 50) {
                            $remark_temp = "FC,C";
                            $change_remark[count($change_remark)] = $prn . "_" . $row[0] . "_" . count($row);
                        }
                    }

                    $row[count($row)] = $remark_temp;
                } else {
                    $row[count($row)] = 'FR,C';
                }
            }
            $b = '';
            $a = "";
            $row2 = "<tr style='" . $a . "' " . $b . ">";
            for ($i = 0; $i < count($row); $i ++) {
                $row2 .= "<td style='text-align:center;' id='" . $prn . "_" . $row[0] . "_" . $i . "'>" . $row[$i] . "</td>";
            }
            $row2 .= "</tr>";
            
            echo $row2;
            
            //echo loadtd($row, false, $prn);
        }
        if ($course_abbreviation == 'B.A.LL.B' || $course_abbreviation == 'LL.B') {
            ?>
 	<tr>
		<td colspan='4'>Aggregate <?php echo "(".$sem_const_arr[$sem_arr[$w]-1].")"; ?></td>
		<td><?php echo $max_total_per_sem; ?></td>
		<td><?php echo $max_total_per_sem/2;?></td>
		<td><?php echo $obtained_total_per_sem; ?></td>
	</tr>
 	
 	<?php
            if ($obtained_total_per_sem >= ($max_total_per_sem / 2)) {
                for ($b = 0; $b < count($change_remark); $b ++) {
                    echo "
        <script>
            document.getElementById('" . $change_remark[$b] . "').innerHTML='E,X';
        </script>
        ";
                }
            }
        }
        // Get Term Wise Data
        $sem_wise_sgpa = "";
        $sem_wise_egp = "";
        $sem_wise_credit = "";
        $sem_result_status = "";
        $sem_percentage = "";
        $sem_grand_total = "";
        $EHB = 0;
        $sem_grace = 0;
        $sem_condonation = 0;
        $sem_sports = 0;
        $sem_pencc = 0;
        $sem_ordinance = "";

        $sem_tot_obt = "";
        $sem_tot_obt_with_other_marks = "";

        $sem_wise_course_credit = 0;

        $sem=$sem_arr[$w];
        $new_termwise_data_query = "SELECT * FROM `data_final_termwise_data_result` WHERE prn_no='".$prn."' AND `sem`='".$sem."' ORDER BY id DESC";
        $new_termwise_data_run = $mysqli -> query($new_termwise_data_query);
        $getTermwisedata = $new_termwise_data_run -> fetch_assoc();
        
        if ($getTermwisedata != "") {
            $sem_wise_sgpa = $getTermwisedata['SGPA'];
            $sem_wise_egp = $getTermwisedata['EGP'];
            $sem_wise_credit = $getTermwisedata['credits'];
            $sem_wise_course_credit = $getTermwisedata['course_credit'];

            $sem_result_status = $getTermwisedata['status'];
            $sem_percentage = $getTermwisedata['percentage'];
            $sem_grand_total = $getTermwisedata['grand_total'];
            $sem_tot_obt = $getTermwisedata['obt_total'];
            $sem_tot_obt_with_other_marks = $getTermwisedata['obt_total'];
            $sem_grace = 0;
            if ($getTermwisedata['ordinance'] == '0.94') {
                $sem_grace = $getTermwisedata['obt_total_1'] - $getTermwisedata['obt_total'];
            }
            $sem_condonation = 0;
            if ($getTermwisedata['obt_total_1'] < $getTermwisedata['obt_total_2']) {
                $sem_condonation = $getTermwisedata['obt_total_2'] - $getTermwisedata['obt_total'];
            }

            $sem_sports = 0;
            if ($getTermwisedata['ordinance'] == 'O.40') {
                $sem_sports = $getTermwisedata['obt_total_1'] - $getTermwisedata['obt_total'];
            }

            $sem_pencc = 0;
            if ($getTermwisedata['ordinance'] == 'PE') {
                $sem_pencc = $getTermwisedata['obt_total_1'] - $getTermwisedata['obt_total'];
            }

            if ($sem_ordinance == "") {
                $sem_ordinance = $getTermwisedata['ordinance'];
            }
            $grade_letter = $getTermwisedata['grade_letter'];
        } else if ($getTermwisedata == "" || count($getTermwisedata) == 0) {
            $prn_no=$student_in_past_row['prn_no'];
            $old_termwise_data_query ="SELECT `EVENT`,`Term Name`,`Class/Grade`,`Total Credits`,`EGP`,`SGPA`,`RESULT STATUS`,`Term Percentage`,`Grand Total`,`Total Marks Obtained`,`Term Max Marks`,`Examination Seat Number`,`Ordinance`,`Ord_Total` FROM `SU_CousrePartTermWise_ResultData` WHERE prn_no='".$prn."' AND `Term Name`='".$sem_const_arr[$sem_arr[$w]-1]."' AND  `course_abbr_new`='".$coursepart_abbrevation."' AND course_id IN($course_id,0) ORDER BY `SU_CousrePartTermWise_ResultData`.`Statment Number`  DESC, event_id DESC";
            $old_termwise_data_run = $mysqli2 -> query($old_termwise_data_query);
            $getOldTermWiseData =$old_termwise_data_run -> fetch_assoc();

            $sem_wise_sgpa = $getOldTermWiseData['SGPA'];
            $sem_wise_egp = $getOldTermWiseData['EGP'];
            $sem_wise_credit = $getOldTermWiseData['Total Credits'];
            $sem_result_status = $getOldTermWiseData['RESULT STATUS'];
            $sem_percentage = $getOldTermWiseData['Term Percentage'];
            $sem_grand_total = $getOldTermWiseData['Term Max Marks'];
            $sem_wise_course_credit = $getOldTermWiseData['Total Credits'];

            $sem_tot_obt = $getOldTermWiseData['Grand Total'];
            $sem_tot_obt_with_other_marks = $getOldTermWiseData['Total Marks Obtained'];
            $sem_grace = 0;
            if ($condonation_remark_for_old == '0.94') {
                $sem_grace = $sem_tot_obt_with_other_marks - $sem_tot_obt;

                $sem_ordinance = $condonation_remark_for_old;
            } else if ($condonation_remark_for_old == "O.40") {
                $sem_sports = $sem_tot_obt_with_other_marks - $sem_tot_obt;
                $sem_ordinance = $condonation_remark_for_old;
            } else if ($condonation_remark_for_old == "PE") {
                $sem_pencc = $sem_tot_obt_with_other_marks - $sem_tot_obt;
                $sem_ordinance = $condonation_remark_for_old;
            } else {
                $sem_condonation = $sem_tot_obt_with_other_marks - $sem_tot_obt;

                $sem_ordinance = $condonation_remark_for_old;
            }

            $grade_letter = $getOldTermWiseData['Class/Grade'];
        }
        $total_sem_wise_egp += $sem_wise_egp;
        $total_sem_wise_credit += $sem_wise_credit;
        $total_sem_wise_course_credit += $sem_wise_course_credit;

        $total_sem_wise_grand_total += $sem_grand_total;
        $total_sem_wise_obt_total += $sem_tot_obt;

        $total_sem_wise_obt_total_with_other_marks += $sem_tot_obt_with_other_marks;
        $total_sem_wise_grace += $sem_grace;
        $total_sem_wise_sports += $sem_sports;
        $total_sem_wise_pencc += $sem_pencc;

        if ($sem_condonation != 0) {
            $total_sem_wise_condonation = $sem_condonation;
        }
        $result_consider_credits = $total_sem_wise_course_credit;

        if ($total_sem_wise_status != 'ATKT' && $total_sem_wise_status != 'ATKT') {
            if ($sem_result_status != "PASS") {
                $total_sem_wise_status = $sem_result_status;
            }
        }

        if (count($sem_arr) == 1 && $sem_arr[0]) {
            if ($sem_result_status != "PASS") {
                $sem_result_status = "ATKT";
            }
        }

        if ($get_final_sem == $sem_arr[$w]) {
            if ($sem_result_status != "PASS") {
                $sem_result_status = "FAIL";
            }
        }

        // NEW LOGIC
        if (count($fails_in_subject_count[$w]) > 0) {
            if ($w == 0) {
                $sem_result_status = "ATKT";
            } else if ($w == 1) {
                if (count($fails_in_subject_count[$w - 1]) > 0) {
                    $sem_result_status = "FAIL";
                } else {
                    $sem_result_status = "FAIL";
                }
            }
        } else {
            $sem_result_status = "PASS";
        }

        if (count($sem_arr) == 2 && $sem_arr[1] == 2 && $course_abbr2 == "M.A") {
            if ($sem_result_status != "PASS") {
                $sem_result_status = "ATKT";
            }
        }

        $expl = explode(".", $sem_result_status);
        $sem_result_status = implode("", $expl);

        ?>
        <table class="exam_form exam_r_form" width ="94%" style="border-top:0;border-collapse: collapse;" cellspacing="0" cellpadding="0"> 
        <tr>
    		<td colspan="1" ><b><?php echo $sem_const_arr[$sem_arr[$w]-1];  ?></b></td>
    		<td colspan="1" ><b> <?php echo "Total Credit : ".number_format($sem_wise_course_credit,2);?></b></td>
    		<td colspan="1" ><b> <?php echo "EGP : ".(($check_for_NF_in_sem[$w]==1) ? 'RR' : number_format($sem_wise_egp,2));?></b></td>
    		<td colspan="1" ><b> <?php echo "SGPA : ".(($check_for_NF_in_sem[$w]==1) ? 'RR' : number_format($sem_wise_sgpa,2))?></b></td>
    		<td colspan="5" ><b> <?php echo "Status : ".(($sem_wise_course_credit>0) ? (($check_for_NF_in_sem[$w]==1) ? 'RR' : (($check_for_UM==1) ? 'UM' : $sem_result_status)) : '-')?></b></td>
<!--     		<td colspan="3" width="24%"></td> -->
		</tr>
		</table>
		<table class="exam_form " width ="94%" style="border-top:0;" cellspacing="0" cellpadding="0"> 
     <?php
    }

    $sem_obt_total_for_ledger = $sem_tot_obt_with_other_marks;

    if ($sem != $get_final_sem) {
        $sem_obt_total_for_ledger = $sem_tot_obt;
        $egp = $sem_wise_egp;
        $credit = $sem_wise_credit;
    }

    $egp = $total_sem_wise_egp;
    $credit = $total_sem_wise_credit;
    $sem_grand_total = $total_sem_wise_grand_total;
    $sem_obt_total_for_ledger = $total_sem_wise_obt_total;
    $final_status = $total_sem_wise_status;
    $total_sem_ordinance = ($condonation_remark_for_old != '') ? $condonation_remark_for_old : $sem_ordinance;

    if ($sem > 1)
        for ($q = ($sem) ? $sem - 2 : $sem - 1; $q > 0; -- $q) {
            $new_termwise_data_query = "SELECT * FROM `data_final_termwise_data_result` WHERE prn_no='" . $prn . "' AND course_id='" . $course_id . "' AND `sem`='" . $q . "' ORDER BY id DESC";
            $new_termwise_data_run = $mysqli -> query($new_termwise_data_query);
            $result_data_row = $new_termwise_data_run -> fetch_assoc();

            //$new_termwise_data_count = mysql_num_rows($new_termwise_data_run);
            $new_termwise_data_count = $new_termwise_data_run->num_rows;

            if ($new_termwise_data_count == 0) {
                $result_data_query = "SELECT * FROM `SU_CousrePartTermWise_ResultData` WHERE prn_no='" . $prn . "' AND course_abbr_new='" . $course_abbreviation . "' AND `Term Name`='" . $sem_const_arr[$q - 1] . "' ORDER BY `SU_CousrePartTermWise_ResultData`.`Statment Number`  DESC, event_id DESC LIMIT 1";
                $result_data_run = $mysqli2 -> query($result_data_query);
                $result_data_row = $result_data_run -> fetch_assoc();
            } else {
                $result_data_row['EVENT'] = $result_data_row['event'];
                $result_data_row['Examination Seat Number'] = $seat_no;
                $result_data_row['Total Credits'] = $result_data_row['Total Credits'];
                $result_data_row['RESULT STATUS'] = $result_data_row['status'];
                $result_data_row['Term Max Marks'] = $result_data_row['grand_total'];
            }

            $sem_grand_total += $result_data_row['Term Max Marks'];
            $egp += $result_data_row['EGP'];
            $credit += $result_data_row['Total Credits'];
            if ($sem == $get_final_sem) {
                $sem_obt_total_for_ledger += $result_data_row['Grand Total'];
            }

            if (trim($result_data_row) != "" && trim($result_data_row['RESULT STATUS']) != "PASS") {
                $final_status = "FAIL";
            }
        }

    $flg = 0;
    $fails_in_partwise = [];
    $year = ceil($sem / 2);
    if ($sem) {
        $year -= 1;
    }
    
    $final_sem_obt_total = 0;
    $final_sem_obt_total1 = 0;
    for ($l = $sem; $l > 0; -- $l) {
        $term_egp = 0;
        $term_credit = 0;
        $term_spga = 0;
        $term_course_credit = 0;
        $term_status = "PASS";
        $term_event = "";
        $term_seat = $seat_no;
        $grade_letter = "";

        $exam_form_years = "";

        $q = $l;
        $max = ($k) ? $q - 2 : $q - 1;
        $seat_no_set_in_new = 0;

        $seat_no_star = "";
        //echo $sem.'-'.$q;
        
        for ($m = $q; $m > $max; --$m) {
            //echo $sem.'-'.$m.'<br>';
            if ($sem >= $m) {
                $new_termwise_data_query = "SELECT * FROM `data_final_termwise_data_result` WHERE prn_no='".$prn."' AND `sem`='".$m."' ORDER BY id DESC";
                  $new_termwise_data_run = $mysqli -> query($new_termwise_data_query);
                  $result_data_row =$new_termwise_data_run-> fetch_assoc();
                if ($result_data_row == '') {
                    $old_termwise_data_query ="SELECT `EVENT`,`Term Name`,`Class/Grade`,`Total Credits`,`EGP`,`SGPA`,`RESULT STATUS`,`Term Percentage`,`Grand Total`,`Total Marks Obtained`,`Term Max Marks`,`Examination Seat Number`,`Ordinance`,`Ord_Total` FROM `SU_CousrePartTermWise_ResultData` WHERE prn_no='".$prn."' AND `Term Name`='".$sem_const_arr[$m-1]."' AND  `course_abbr_new`='".$coursepart_abbrevation."' AND course_id IN($course_id,0) ORDER BY `SU_CousrePartTermWise_ResultData`.`Statment Number`  DESC, event_id DESC";
                    $old_termwise_data_run = $mysqli2 -> query($old_termwise_data_query);
                    $result_data_row =$old_termwise_data_run -> fetch_assoc();
                    
                    if($seat_no_set_in_new==0){
                        
                        $term_seat=$result_data_row['Examination Seat Number'];
                    }
                    if($grade_letter==""){
                        $grade_letter = $result_data_row['Class/Grade'];
                    }
                    $term_course_credit+=$result_data_row['Total Credits'];
                    
                    if(strtoupper($result_data_row['Ordinance'])=='YES'){
                        
                        $temp_grace=0;$temp_sports=0;$temp_pencc=0;
                        $result_query = "SELECT * FROM solapurmis_sudata.SU_PaperWise_ResultData_oct2022_current_use WHERE term_name='".$sem_const_arr[$m-1]."' AND  prn_no='".$prn."' ".$branch." AND coursepart_abbrevation_new LIKE '%".$course_abbreviation."%' AND ordinance_applied_to_paper IN ('Ordinance Grace Marks','O.40','Ordinance_PENCC') AND course_id IN($course_id,0) AND course_id IN($course_id,0) GROUP BY paper_code";
                        $result_run = $mysqli2 -> query($result_query);
                        while($result_row = $result_run -> fetch_assoc()){
                            if($result_row['ordinance_applied_to_paper']=="O.40"){
                                $temp_sports+=$result_row['ordinance_marks_to_paper'];
                            }else if($result_row['ordinance_applied_to_paper']=='Ordinance_PENCC'){
                                $temp_pencc+=$result_row['ordinance_marks_to_paper'];
                                
                            }else{
                                $temp_grace +=$result_row['ordinance_marks_to_paper'];
                            }
                        }
                        if($temp_grace>0){
                            $result_data_row['Ordinance']="GRACE";
                        }else if($temp_pencc>0){
                            $result_data_row['Ordinance']="PENCC";
                        }else{
                            $result_data_row['Ordinance']="SPORTS";
                        }
                        $result_data_row['Ord_Total']=$temp_grace+$temp_sports+$temp_pencc;
                    }
                    
                    
                }else{
                    $result_data_row['EVENT']=$result_data_row['event'];
                    $term_seat=$result_data_row['seat_no'];
                    $seat_no_set_in_new=1;
                    $result_data_row['Total Credits']=$result_data_row['credits'];
                    $result_data_row['RESULT STATUS']=$result_data_row['status'];
                    $result_data_row['Total Marks Obtained']=$result_data_row['obt_total_1'];
                    $result_data_row['Grand Total']=   $result_data_row['obt_total'];
                    
                    $result_data_row['Ordinance']= ($result_data_row['ordinance']=='0.96') ? "GRACE" : "CONDONATION";
                    $result_data_row['Ord_Total']= $result_data_row['obt_total_1']-$result_data_row['obt_total'];
                    
                    
                    $grade_letter = $result_data_row['grade_letter'];
                    $term_course_credit+=$result_data_row['course_credit'];
                }
                
                $final_sem_obt_total+=$result_data_row['Grand Total'];
                $final_sem_obt_total1+=$result_data_row['Grand Total'];
                if($result_data_row['Ordinance']=="GRACE" || $result_data_row['Ordinance']=="SPORTS" || $result_data_row['Ordinance']=="PENCC"){
                    $final_sem_obt_total+=$result_data_row['Ord_Total'];
                }
                
                $term_egp+=$result_data_row['EGP'];
                $term_credit+=$result_data_row['Total Credits'];
                if($term_event==""){
                    $term_event=$result_data_row['EVENT'];
                }
                if($result_data_row['RESULT STATUS']!="PASS"){
                    $term_status=$result_data_row['RESULT STATUS'];
                }
            }
            
            if ($m) {

                for ($f = 0; $f < count($get_appeared_sem); $f ++) {
                    if ($get_appeared_sem[$f] < $m) {
                        if ($term_status == 'PASS') {
                            $seat_no_star = "*";
                        }
                    }
                }
            }
        }
        if ($get_final_sem == $sem) {
            if ($term_status != 'PASS') {
                $term_status = 'FAIL';
            }
        }
        if ($sem && $l == $year) {
            if ($term_status != 'PASS') {
                $term_status = 'ATKT';
            }
        }

        $expl = explode(".", $term_status);
        $term_status = implode("", $expl);

        if ($course_abbr2 == 'B.VocJMC') {

            if ($l == 1) {
                $rom_yr1 = '(Diploma)';
            } elseif ($l == 2) {
                $rom_yr1 = '(Advance Diploma)';
            } else {
                $rom_yr1 = '(Degree)';
            }
        } else {
            //$rom_yr1 = get_roman_no($l);
            if($l==1){
                $rom_yr1='I';
            }else if($l==2){
                $rom_yr1='II';
            }else if($l==3){
                $rom_yr1= 'III';
            }else if($l==4){
                $rom_yr1= 'IV';
            }else if($l==5){
                $rom_yr1= 'V';
            }else if($l==6){
                $rom_yr1= 'VI';
            }else if($l==7){
                $rom_yr1= 'VII';
            }else if($l==8){
                $rom_yr1= 'VIII';
            }else if($l==9){
                $rom_yr1= 'IX';
            }
            
        }
        
        if ($get_final_sem != $sem) {
            $grade_letter = '-';
        }

        $result_consider_credits_final_sem += $term_course_credit;

        $term_spga = round($term_egp / $term_course_credit, 2);
        //echo $l;
        if ($sem / 2 == $l) {
            $get_data111="SELECT * FROM `course_master` WHERE course_id='$course_id'";
            $get_data11=$mysqli -> query($get_data111);
            $get_data1= $get_data11 -> fetch_assoc();
             $atkt_criteria = $get_data1['atkt_criteria'];
            $total_subjects = count($total_consider_subjects[0]) + count($total_consider_subjects[1]);
            $total_failed_subjects = count($fails_in_subject_count[0]) + count($fails_in_subject_count[1]);
            $cond = 0;
            if ($atkt_criteria == "ONE_THIRD") {
                $cond = round($total_subjects / 3);
            } else if ($atkt_criteria == "ONE_FOURTH") {
                $cond = round($total_subjects / 4);
            } else if ($atkt_criteria == "MAX_THREE") {
                $cond = 3;
            } else if ($atkt_criteria == "MAX_FOUR") {
                $cond = 4;
            } else {
                $cond = 0;
            }

            if ($cond < $total_failed_subjects) {
                $term_status = "FAIL";
            } else if ($total_failed_subjects > 0 && $cond >= $total_failed_subjects) {
                $term_status = "ATKT";
            } else if ($total_failed_subjects == 0) {
                $term_status = "PASS";
            }
        }

        if ($term_course_credit > 0 && $term_spga > 0 && $term_egp > 0) {

            $check_for_NF = 0;
            if ($q == $sem) {
                if (in_array(1, $check_for_NF_in_sem)) {
                    $check_for_NF = 1;
                }
                if ($q && $check_for_UM == 1) {
                    $term_status = 'UM';
                }
            }

            if ($term_status != "PASS") {
                $fails_in_partwise[count($fails_in_partwise)] = $l;
            }
            if ($seat_no_star != "" && $sem == $l * 2) {
                echo "<script>
                    document.getElementById('seat_no_star_" . $prn . "').innerHTML='$seat_no_star';
                </script>
                    ";
            }

            $flg ++;
            if($sem_old!=$l && ($sem_old-1)!=($l)){
            ?>
            </table>
            <table class="exam_form exam_r_form" width ="94%" style="border-top:0;border-collapse: collapse;" cellspacing="0" cellpadding="0"> 
           
		<tr>
    		<td colspan=7 style="text-align: left";><b><?php echo "Sem -".$rom_yr1." (Seat No: $seat_no_star $exam_form_years".($term_seat=="" ? $seat_no : $term_seat)." Exam Event: ".$term_event.")";?></b></td>
    	</tr>
    	<tr>
    		<td colspan="1"><b></td>
    		<td colspan="1"><b><?php echo "Total Credits : ".number_format($term_course_credit,2);?></b></td>
    		<td colspan="1"><b><?php echo "EGP : ".(($check_for_NF==1) ? 'RR' : number_format($term_egp,2));?></b></td>
    		<td colspan="1"><b><?php echo "SGPA : ".(($check_for_NF==1) ? 'RR' : number_format($term_spga,2));?></b></td>
    		<td colspan="5"><b><?php echo "Status : ".(($check_for_NF==1) ? 'RR' : $term_status);?></b></td>
<!--     		<td colspan=2></td> -->
    
    	</tr>
	

         <?php 
            }
            if ($term_status != 'PASS' && $flg > 1) {
                $EHB = 1;
            }
        }
    }
    
    $result_hold = "";
    $year = ceil($sem / 2);
    if ($sem) {
        for ($f = 0; $f < count($fails_in_partwise); $f ++) {
            if ($fails_in_partwise[$f] < $year) {
                $result_hold = "RRO.76";
            }
        }
    }

    $check_for_NF = 0;
    if (in_array(1, $check_for_NF_in_sem)) {
        $check_for_NF = 1;
    }

    if ($get_final_sem == $sem) {
        $sem_obt_total_for_ledger = $final_sem_obt_total1;
    }

    //$tot_words = amounttowords($sem_obt_total_for_ledger);
    //echo "<br>";
    //echo $get_final_sem."=========".$sem;
    
    if ($get_final_sem == $sem) {

        $cgpa = round($egp / $result_consider_credits_final_sem, 2);

        if ($final_status != "PASS" || $total_sem_wise_status != 'PASS') {
            $final_status = "FAIL";
        }

        $grace_condone = $total_sem_wise_grace + $total_sem_wise_sports + $total_sem_wise_pencc;

        $gc = ($grace_condone <= 0) ? "" : "+" . $grace_condone;

        $obt_grand_total = (int) $sem_obt_total_for_ledger + $total_sem_wise_grace + $total_sem_wise_sports + $total_sem_wise_pencc;

        $final_sem_percentage = round(($obt_grand_total / $sem_grand_total) * 100, 2);

        $ordinance = ($total_sem_ordinance != '') ? $total_sem_ordinance . '(' . ($grace_condone + $total_sem_wise_condonation) . ' marks)' : '-';

        $ordinance_diff = "";
        if ($total_sem_wise_grace > 0) {
            $ordinance_diff .= "$0.94($total_sem_wise_grace Marks)";
        }
        if ($total_sem_wise_condonation > 0) {
            $ordinance_diff .= " *0.96($total_sem_wise_condonation Marks)";
        }

        if ($total_sem_wise_sports > 0) {
            $ordinance_diff .= " #O.40($total_sem_wise_sports Marks)";
        }

        if ($sem == 1 || $sem == 2) {

            if ($total_sem_wise_pencc > 0) {
                $ordinance_diff .= " ^PE($total_sem_wise_pencc Marks)";
            }
        }

        if ($ordinance != "-") {
            $ordinance_sign = (($total_sem_ordinance == '0.94') ? '$' : '*');
        }

        $final_percentage = number_format($final_sem_percentage, 2) . "%";
        $final_total = $sem_obt_total_for_ledger . "" . $gc . "/" . $sem_grand_total; // ."(".$tot_words.")";

        $expl = explode(".", $final_status);
        $final_status = implode("", $expl);
        
        $get_data111="SELECT * FROM `gpa_point_table` WHERE from_num<='$cgpa' AND to_num>='$cgpa'";
        $get_data11=$mysqli -> query($get_data111);
        $get_data1= $get_data11 -> fetch_assoc();
        //echo $get_data1['grade_abbr'];
        ?>
         </table>
         <table class="exam_form exam_r_form" width ="94%" style="border-top:0;border-collapse: collapse;" cellspacing="0" cellpadding="0"> 
             <tr>
        		<td rowspan=2 style="text-align: left;width:9% !important;"><b><?php echo "Cumulative ";?></b></td>
        		<td colspan="1"><b><?php echo "Total Credits: ".(($check_for_NF==1) ? 'RR' :number_format($result_consider_credits_final_sem,2)); ?></b></td>
        		<td colspan="1" style="text-align: left;"><b><?php echo "Total EGP: ".(($check_for_NF==1) ? 'RR' :number_format($egp,2));?></b></td>
        		<td colspan="1" style="text-align: left;"><b><?php echo "SGPA:  ".(($check_for_NF==1) ? 'RR' :number_format($cgpa,2));?></b></td>
        		<td colspan="1" style="text-align: left;width:16%!important;"><b><?php echo "CGPA :  ".(($check_for_NF==1) ? 'RR' :number_format($cgpa,2));?></b></td>
        		<td colspan="1" style="text-align: left !important;"><b><?php echo "Status:  ".(($check_for_NF==1) ? 'RR' :($check_for_UM==1 ? 'UM' : ((($result_hold=="") ? $final_status : $result_hold))));?></b></td>
        		
        
        	</tr>
        	<tr>
        		<td colspan="1"><b><?php echo "Grand Total : <br>".(($check_for_NF==1) ? 'RR' : $final_total);?></b></td>
        		<td colspan="2"><b><?php echo "Equivalent Percentage : ".(($check_for_NF==1) ? 'RR' : $final_percentage);?></b></td>
        		<td colspan="1" style="text-align: left;"><b><?php echo "Grade : ".(($check_for_NF==1) ? 'RR' : (($final_status=="FAIL" || $final_status=='F') ? '-' : $get_data1['grade_abbr']));?></b></td>
        		<td colspan="1" style="text-align: left;"><b><?php echo "Ordinance: ".$ordinance_diff;?></b></td>
<!--         		<td colspan="1"></td> -->
        	</tr>
        	<tr>
        		<td colspan=6 style="text-align: left";>Abbreviations: Gr: Grade,
        			SGPA: Semester Grade Point Average, CGPA: Cumulative Grade Point
        			Average, EGP: Earned Grade Points, E: Exempted, C: Current
        			Appearance, X: Past Performance, N: Not Exempted, UM: Unfair Means,
        			FC: Fail in University Assessment, FR: Fail in College Assessment</td>
        	</tr>
       </table>  
         
         <?php
    } else {
        if (count($sem_arr) == 1 && $sem_arr[0]) {
            if ($total_sem_wise_status != "PASS") {
                $total_sem_wise_status = "ATKT";
            }
        }

        if ($sem ) {
            $get_data111="SELECT * FROM `course_master` WHERE course_id='$course_id'";
            $get_data11=$mysqli -> query($get_data111);
            $get_data1= $get_data11 -> fetch_assoc();
            $atkt_criteria = $get_data1['atkt_criteria'];
            $total_subjects = count($total_consider_subjects[0]) + count($total_consider_subjects[1]);
            $total_failed_subjects = count($fails_in_subject_count[0]) + count($fails_in_subject_count[1]);
            $cond = 0;
            if ($atkt_criteria == "ONE_THIRD") {
                $cond = round($total_subjects / 3);
            } else if ($atkt_criteria == "ONE_FOURTH") {
                $cond = round($total_subjects / 4);
            } else if ($atkt_criteria == "MAX_THREE") {
                $cond = 3;
            } else if ($atkt_criteria == "MAX_FOUR") {
                $cond = 4;
            } else {
                $cond = 0;
            }

            if ($cond < $total_failed_subjects) {
                $total_sem_wise_status = "FAIL";
            } else if ($total_failed_subjects > 0 && $cond >= $total_failed_subjects) {
                $total_sem_wise_status = "ATKT";
            } else if ($total_failed_subjects == 0) {
                $total_sem_wise_status = "PASS";
            }
        }

        //$tot_words = amounttowords($total_sem_wise_obt_total);
        $obt_grand_total = (int) $total_sem_wise_obt_total + $total_sem_wise_grace + $total_sem_wise_pencc;

        $sem_percentage = round(($obt_grand_total / $total_sem_wise_grand_total) * 100, 2);

        $sgpa = round($total_sem_wise_egp / $result_consider_credits, 2);

        $grace_condone = $total_sem_wise_grace + $total_sem_wise_sports + $total_sem_wise_pencc; // +$total_sem_wise_condonation;

        $gc = ($grace_condone <= 0) ? "" : "+" . $grace_condone;

        $ordinance = ($total_sem_ordinance != '') ? $total_sem_ordinance . '(' . ($grace_condone + $total_sem_wise_condonation) . ' marks)' : '-';
        if ($ordinance != "-") {
            $ordinance_sign = (($total_sem_ordinance == '0.94') ? '$' : '*');
        }

        $ordinance_diff = "";
        if ($total_sem_wise_grace > 0) {
            $ordinance_diff .= "$0.94($total_sem_wise_grace Marks)";
        }
        if ($total_sem_wise_condonation > 0) {
            $ordinance_diff .= " *0.96($total_sem_wise_condonation Marks)";
        }

        if ($sem == 1 || $sem == 2) {
            if ($total_sem_wise_pencc > 0) {
                $ordinance_diff .= " ^PE($total_sem_wise_pencc Marks)";
            }
        }

        $expl = explode(".", $total_sem_wise_status);
        $total_sem_wise_status = implode("", $expl);
        if ($EHB == 1 && $coursepart_abbrevation == 'B.Tech') {
            $total_sem_wise_status = 'EHB';
        }
        $sem_percentage = $sem_percentage . "%";
        $grand_total_ui = $total_sem_wise_obt_total . "" . $gc . "/" . $total_sem_wise_grand_total;
        ?>
        
        </table>
        <table class="exam_form exam_r_form" width ="94%" style="border-top:0;border-collapse: collapse;" cellspacing="0" cellpadding="0"> 
         <tr>
		<td rowspan=2 style="text-align: left;width:9% !important;"><b><?php echo "Cumulative ";?></b></td>
		<td  colspan="1"><b><?php echo "Total Credits : ".(($check_for_NF==1) ? 'RR' :number_format($result_consider_credits,2)); ?></b></td>
		<td  colspan="1" style="text-align: left;"><b><?php echo "Total EGP : ".(($check_for_NF==1) ? 'RR' :number_format($total_sem_wise_egp,2));?></b></td>
		<td  colspan="1" style="text-align: left;"><b><?php echo "SGPA :  ".(($check_for_NF==1) ? 'RR' :number_format($sgpa,2));?></b></td>
		<td  colspan="1" style="text-align: left;width:16% !important;"><b><?php echo "CGPA :  ".(($check_for_NF==1) ? 'RR' :number_format($sgpa,2));?></b></td>
		<td  colspan="1" style="text-align: left !important;"><b><?php echo "Status :  ".(($check_for_NF==1) ? 'RR' :($check_for_UM==1 ? 'UM' : (($result_hold=="") ? $total_sem_wise_status : $result_hold)));?></b></td>
<!-- 		<td colspan></td> -->

	</tr>
	<tr>
		<td  colspan="1"><b><?php echo "Grand Total : <br>".(($check_for_NF==1) ? 'RR' : $grand_total_ui);?></b></td>
		<td  colspan="2"><b><?php echo "Equivalent Percentage : ".(($check_for_NF==1) ? 'RR' :$sem_percentage);?></b></td>
		<td colspan="1" style="text-align: left;"><b><?php echo "Grade : -";?></b></td>
		<td  colspan="1" style="text-align: left;"><b><?php echo "Ordinance : ".$ordinance_diff;?></b></td>
<!-- 		<td colspan=3></td> -->
	</tr>
	<tr>
		<td colspan=6 style="text-align: left";>Abbreviations: Gr: Grade,
			SGPA: Semester Grade Point Average, CGPA: Cumulative Grade Point
			Average, EGP: Earned Grade Points, E: Exempted, C: Current
			Appearance, X: Past Performance, N: Not Exempted, UM: Unfair Means,
			FC: Fail in University Assessment, FR: Fail in College Assessment</td>
	</tr>
	</table>
<?php
    }
    $result_consider_credits_final_sem = 0;
    ?>
</table>
</div>


<footer>
	<table class='datepage' width='100%' style="" >
		<tr>
			<td width='40%' align='left' class="staementFont">
			<p style=" margin-bottom:0">
				Statement No: <?php if($students_row['SOM_No']=='' || $students_row['SOM_No']=='0'){echo '';}else{echo $students_row['SOM_No'];}?>
			</p>
			<div style="padding:4px 0 8px;">
    			<?php 
    			$generator = new Picqer\Barcode\BarcodeGeneratorHTML();
    			echo $generator->getBarcode(''.$students_row['SOM_No'].'', $generator::TYPE_CODE_128);
    			?>
			</div>
			
        	<span>Date:</span> <?php if ($result_date!=''){ echo date('d M Y', strtotime($result_date));}?>
        </td>
		<td align="right" width="60%" style="float:right;">
			<center style="margin:auto auto 0 auto" class="signBox">
			<img src="https://pahsuerp.epravesh.com/solapur_erp/images/dbee_sign_png.png" class="SignMargin">
			<p style="white-space:nowrap;width:100%;margin:auto;" class="signdateFont">Director<br/>Board of Examinations and Evaluation</p>
                </center>
			</td>
		</tr>
	</table>
</footer> 
<div class='page-break'></div>
<?php }?>
<?php

// Free result set
$result -> free_result();
$mysqli -> close();
exit();
?>	